# Generated from merb-gen-1.0.15.gem by gem2rpm -*- rpm-spec -*-
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname merb-gen
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

%global rubyabi 1.8

Summary: Application and plugin generator scripts for Merb
Name: rubygem-%{gemname}
Version: 1.0.15
Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: http://merbivore.com
Source0: http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
# Addresses incompatibility with current version of thor - appears to go away 
# in next release as thor dependency is gone
Patch0: rubygem-merb-gen-1.0.15-thor-compat.patch
# Fix for tests thanks to Mamoru Tasaka
# Issue appears fixed in upcoming releases
Patch1: rubygem-merb-gen-1.0.15-fix-tests.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(rubygems)
Requires: ruby(abi) = %{rubyabi}
Requires: rubygem(merb-core)
Requires: rubygem(templater)
BuildRequires: ruby(rubygems)
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires(check): rubygem(merb-core)
BuildRequires(check): rubygem(templater)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Application and plugin generator scripts for Merb.

Installing this package will provide the capability to generate a functional
Merb application.

This package contains the merb-gen binary and library.

%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T

mkdir -p .%{gemdir}
gem install -V \
  --local \
  --install-dir $(pwd)/%{gemdir} \
  --force --rdoc \
  %{SOURCE0}

pushd .%{geminstdir}
%patch0 -p1
%patch1 -p1

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/

mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x

find %{buildroot}%{geminstdir}/bin -type f | \
  xargs -n 1 sed -i -e 's"^#!/usr/bin/env ruby"#!/usr/bin/ruby"'

%clean
rm -rf %{buildroot}

%check
pushd .%{geminstdir}
rake spec

%files
%defattr(-,root,root,-)
%{_bindir}/merb-gen
%doc %{geminstdir}/[A-Z]*
%dir %{geminstdir}
%{geminstdir}/bin
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%{geminstdir}/Rakefile
%{geminstdir}/spec
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Mon Feb 15 2010 Matthew Kent <mkent@magoazul.com> - 1.0.15-2
- Patch from Mamoru Tasaka to permit enabling of %%check phase (#557021).

* Tue Dec 08 2009 Matthew Kent <mkent@magoazul.com> - 1.0.15-1
- Initial package
